package com.hrsk.cloud.eg.infrastructure.repository.database.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 接出助贷api的详细描述
 * 
 * @author zhangyy
 * @email @gmail.com
 * @date 2024-09-23 11:07:01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("eg_api_loan_extend")
public class EgApiLoanExtendDo  extends  BaseDo implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * eg_api主键
	 */
	private Long EndpointId;
	/**
	 * 共享范围
	 */
	private String shareRange;
	/**
	 * 协议范围
	 */
	private String protocol;
	/**
	 * 共享目的
	 */
	private String sharePurpose;
	/**
	 * 是否需要撞库0：不需要；1：需要
	 */
	private Integer needCheck;
	/**
	 * 共享方式
	 */
	private String shareType;

}
