package com.hrsk.cloud.eg.infrastructure.repository.database.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 接出产品api扩展表
 * 
 * @author zhangyy
 * @email
 * @date 2024-09-23 11:07:01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("eg_api_product_extend")
public class EgApiProductExtendDo extends BaseDo implements Serializable {
	private static final long serialVersionUID = 1L;


	/**
	 * eg_api主键
	 */
	private Long apiId;
	/**
	 * 共享范围
	 */
	private String shareRange;
	/**
	 * 协议范围
	 */
	private String protocol;
	/**
	 * 共享目的
	 */
	private String sharePurpose;
	/**
	 * 共享方式
	 */
	private String shareType;
	/**
	 * 是否需要撞库0：不需要；1：需要
	 */
	private Integer needCheck;

}
