package com.hrsk.cloud.eg.app.api.comon;

import com.hrsk.cloud.eg.app.business.CommonService;
import com.hrsk.cloud.eg.dto.data.common.LocalEnumDto;
import com.hrsk.cloud.eg.vo.response.DefaultResponseVo;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author zhangyy
 * @version 1.0
 * @description: commonService
 * @date 2024/9/24 11:47
 */
@RequestMapping("common")
@RestController
public class CommonServiceImpl {
    @Resource private CommonService commonService;


    @RequestMapping("/localEnumList")
    public DefaultResponseVo<List<LocalEnumDto>> getLocalEnumList(){
        return  DefaultResponseVo.success(commonService.getLocalEnumList());
    }
}
