package com.hrsk.cloud.eg.app.request.api;

import lombok.Data;

import java.io.Serializable;

/**
 * 接出助贷api的详细描述
 * 
 * @author zhangyy
 * @email @gmail.com
 * @date 2024-09-23 11:07:01
 */
@Data
public class EgApiLoanExtendReq  implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * eg_api主键
	 */
	private Long apiId;
	/**
	 * 共享范围
	 */
	private String shareRange;
	/**
	 * 协议范围
	 */
	private String protocol;
	/**
	 * 共享目的
	 */
	private String sharePurpose;
	/**
	 * 是否需要撞库0：不需要；1：需要
	 */
	private Integer needCheck;
	/**
	 * 共享方式
	 */
	private String shareType;

}
