package com.hrsk.cloud.eg.app.request.api;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 接出产品api扩展表
 * 
 * @author zhangyy
 * @email
 * @date 2024-09-23 11:07:01
 */
@Data
public class EgApiProductExtendReq  implements Serializable {
	private static final long serialVersionUID = 1L;


	/**
	 * eg_api主键
	 */
	@NotNull(message = "apiId信息不能为空")
	private Long apiId;
	/**
	 * 共享范围
	 */
	private String shareRange;
	/**
	 * 协议范围
	 */
	private String protocol;
	/**
	 * 共享目的
	 */
	private String sharePurpose;
	/**
	 * 共享方式
	 */
	private String shareType;
	/**
	 * 是否需要撞库0：不需要；1：需要
	 */
	private Integer needCheck;

}
